{% extends "story4/base.html" %}

{% block content %}
<title>Search Your Book</title>
<h1 id="h11" style = "font-size:9vw">Search Books!</h1>
    </div>

<div class="jarak" style="margin-top: 250px;"></div>

<div class="card bg-light mb-3 " style="max-width: 45rem; margin: 80px auto 0;">
    <div class="card-body">
        <div class="input-group mb-3">
            <input type="text" id="keyword" placeholder="Enter keyword!" class="form-control" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default">
          </div>
    </div>
  </div>


  <div id="caution">
  </div>



<div  class="table-responsive">
    <table class="table table-hover"  style="width:90%; margin-left:5%;margin-right:5%;">
        <thead class="table-light" id="headtable" style="text-align: center;"> 
        <tr>
          </tr>
        </thead>
        <tbody class="table-light" id="isi" style="text-align: center;">
        </tbody>
    </table>
</div>




<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $("#keyword").keyup( function() {
        var search = $("#keyword").val();
        console.log(search);

        $.ajax({
            url : '/dataBuku?q=' + search,
            success: function(data){
                //console.log(data);
                var item = data.items;
                //console.log(item);
                $("#caution").empty();
                $("#headtable").empty();
                $("#isi").empty();

                if (item.length > 0){
                    $("#caution").append('{% if not request.user.is_authenticated %} <p style="text-align: center; color: aliceblue;"><a href="/authuser/login">Login </a> to see cover and more info!!</p> {% endif %}')
                    $("#headtable").append('<th scope="col" class="align-center">Cover</th> <th scope="col" class="align-center">Title</th><th scope="col" class="align-center">Authors</th> {% if request.user.is_authenticated %} <th scope="col" class="align-center">More Info</th> {% endif %}');
                }
                for (i=0; i < item.length; i++) {
                        var title = item[i].volumeInfo.title;
                        var author = item[i].volumeInfo.authors;
                        var img = item[i].volumeInfo.imageLinks.thumbnail;
                        var link = item[i].volumeInfo.infoLink;
                        if(img!=''){
                            $("#isi").append('<tr><td scope="row" class="align-center"><img src='+ img
                            + '></td> <td scope="row" class="align-center">' + title
                            + '</td> <td scope="row" class="align-center">' + author
                            + '</td> {% if request.user.is_authenticated %} <td scope="row" class="align-center"><a href=' +link + '><button type="button" class="btn btn-outline-danger">Read More</button></a></td></tr> {% endif %}');
                        }     
                }
            }
        });
    });
</script>

{% endblock %}